Bug 166879 - fatal python error when installing package
fatal python error when installing package
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Beth Nackashi
:
Depends On: 166868
Blocks: 155573 156322
  Show dependency treegraph
 
Reported: 2005-08-26 14:28 EDT by Debbie McGrath
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2005-711
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 13:20:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Debbie McGrath 2005-08-26 14:28:09 EDT
+++ This bug was initially created as a clone of Bug #166868 +++

Description of problem:
This bug was spawned from 157070.  See Comment #26 of that bug for more information.

When yum repo and unauthenticated http proxy port is used to install a package
(e.g. rhn-apache), a fatal python error occurs.

Version-Release number of selected component (if applicable):
up2date-4.4.43-3

How reproducible:
always

Steps to Reproduce:
1.  register a RHEL 3 U5 system to webqa through unauthenticated http proxy via
the following command:

rhnreg_ks --username=<USERNAME> --password=<PASSWORD>
--email=<USERNAME>@redhat.com --proxy=http://cellar.rhndev.redhat.com:3129
--proxyUser=0123 --proxyPassword=0123
--serverUrl=http://xmlrpc.rhn.webqa.redhat.com/XMLRPC --force

2.  make sure the latest up2date is installed (up2date-4.4.4x-3)
3.  schedule a package install (e.g. rhn-apache) via the web UI.
4.  run rhn_check -vvv

Actual results:
Fatal python error.  See attached traceback.


Expected results:
No fatal python error.  Yum is accessed as expected and unauthenticated proxy
port works.

Additional info:

-- Additional comment from bnackash@redhat.com on 2005-08-26 12:24 EST --
Created an attachment (id=118165)
fatal python error traceback


-- Additional comment from bnackash@redhat.com on 2005-08-26 12:25 EST --
whoops, I forgot step 2.5 in Steps To Reproduce:

2.5.  Add the following lines to the sources file:
yum playpen-4AS http://dept.rhndev.redhat.com/yum/playpen-4AS
yum support-4AS http://dept.rhndev.redhat.com/yum/support-4AS
yum playpen-3AS http://dept.rhndev.redhat.com/yum/playpen-3AS
yum support-3AS http://dept.rhndev.redhat.com/yum/support-3AS
yum playpen-java-3AS http://dept.rhndev.redhat.com/yum/playpen-java-3AS

-- Additional comment from alikins@redhat.com on 2005-08-26 13:25 EST --
fix in 4.4.44
Comment 1 Debbie McGrath 2005-08-26 14:30:50 EDT
ACK-ing for R4U2 and adding to CanFix.
Comment 2 Adrian Likins 2005-08-26 15:31:23 EDT
proxy stuff was spurious correlation, updated summary
Comment 3 Beth Nackashi 2005-08-29 14:51:03 EDT
verified with up2date-4.4.44-4
Comment 5 Red Hat Bugzilla 2005-10-05 13:20:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-711.html

Note You need to log in before you can comment on or make changes to this bug.